// Copyright (C) 2021  CEA/DEN, EDF R&D
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
//
// See http://www.salome-platform.org/ or email : webmaster.salome@opencascade.com
//

#include "GEOM_Gen_No_Session_i.hh"

#include "SALOMEDS_Study_i.hxx"

GEOM_Gen_No_Session_i::GEOM_Gen_No_Session_i(CORBA::ORB_ptr orb,
                        PortableServer::POA_ptr poa,
                        PortableServer::ObjectId *contId,
                        const char *instanceName,
                        const char *interfaceName):GEOM_Gen_i(orb,poa,contId,instanceName,interfaceName,false)
{
}

SALOMEDS::Study_var GEOM_Gen_No_Session_i::getStudyServant()
{
  return SALOMEDS::Study::_duplicate(KERNEL::getStudyServantSA());
}
